package com.ruoyi.project.patrol.fire.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.fire.mapper.TFireSteamCurtainMapper;
import com.ruoyi.project.patrol.fire.domain.TFireSteamCurtain;
import com.ruoyi.project.patrol.fire.service.ITFireSteamCurtainService;

/**
 * 蒸汽幕检查记录Service业务层处理
 * 
 * @author admin
 * @date 2023-11-06
 */
@Service
public class TFireSteamCurtainServiceImpl implements ITFireSteamCurtainService 
{
    @Autowired
    private TFireSteamCurtainMapper tFireSteamCurtainMapper;

    /**
     * 查询蒸汽幕检查记录
     * 
     * @param id 蒸汽幕检查记录主键
     * @return 蒸汽幕检查记录
     */
    @Override
    public TFireSteamCurtain selectTFireSteamCurtainById(Long id)
    {
        return tFireSteamCurtainMapper.selectTFireSteamCurtainById(id);
    }

    /**
     * 查询蒸汽幕检查记录列表
     * 
     * @param tFireSteamCurtain 蒸汽幕检查记录
     * @return 蒸汽幕检查记录
     */
    @Override
    public List<TFireSteamCurtain> selectTFireSteamCurtainList(TFireSteamCurtain tFireSteamCurtain)
    {
        return tFireSteamCurtainMapper.selectTFireSteamCurtainList(tFireSteamCurtain);
    }

    /**
     * 新增蒸汽幕检查记录
     * 
     * @param tFireSteamCurtain 蒸汽幕检查记录
     * @return 结果
     */
    @Override
    public int insertTFireSteamCurtain(TFireSteamCurtain tFireSteamCurtain)
    {
        return tFireSteamCurtainMapper.insertTFireSteamCurtain(tFireSteamCurtain);
    }

    /**
     * 修改蒸汽幕检查记录
     * 
     * @param tFireSteamCurtain 蒸汽幕检查记录
     * @return 结果
     */
    @Override
    public int updateTFireSteamCurtain(TFireSteamCurtain tFireSteamCurtain)
    {
        return tFireSteamCurtainMapper.updateTFireSteamCurtain(tFireSteamCurtain);
    }

    /**
     * 批量删除蒸汽幕检查记录
     * 
     * @param ids 需要删除的蒸汽幕检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTFireSteamCurtainByIds(Long[] ids)
    {
        return tFireSteamCurtainMapper.deleteTFireSteamCurtainByIds(ids);
    }

    /**
     * 删除蒸汽幕检查记录信息
     * 
     * @param id 蒸汽幕检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTFireSteamCurtainById(Long id)
    {
        return tFireSteamCurtainMapper.deleteTFireSteamCurtainById(id);
    }
}
